# NPFFindStationOrTileData Struct Reference

## Data Fields
TileIndex | dest_coords
| An indication of where the station is, for heuristic purposes, or the target tile.
StationID | station_index
| station index we're heading for, or INVALID_STATION when we're heading for a tile
bool | reserve_path
| Indicates whether the found path should be reserved.
StationType | station_type
| The type of station we're heading for.
bool | not_articulated
| The (road) vehicle is not articulated.
const Vehicle * | v
| The vehicle we are pathfinding for.

## Detailed Description

Definition at line 33 of file npf.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/npf/npf.cpp